it-swarm.com.de

Abhängigkeitsfehler nach der Installation und dem Versuch, Google Chrome zu entfernen

Also hat Ubuntu eine Weile perfekt für mich gearbeitet. Ich habe versucht, Google Chrome herunterzuladen und habe versehentlich die 32-Bit-Version heruntergeladen. Wir sind zurückgekehrt und haben versucht, die 64-Bit-Version herunterzuladen (dumm ohne die 32-Bit-Version zu löschen), und hatten Probleme, Fehlermeldungen im Zusammenhang mit google-chrome-stable zu erhalten.

Mein nächster Schritt war, alles, was ich über Ubuntu in Bezug auf Chrome habe, zu bereinigen, aber ich erhalte immer noch diese Fehler und da ich noch ein Neuling in Linux bin, habe ich wirklich keine Ahnung, was ich jetzt tun soll.

Jetzt kann ich nichts über die Befehlszeile herunterladen. Ich habe zum Beispiel gerade versucht, Ubuntus Version von f.Lux herunterzuladen und habe folgendes erhalten:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gcc-4.8-base:i386 libasn1-8-heimdal:i386 libasound2:i386
  libatk-bridge2.0-0:i386 libatk1.0-0:i386 libatspi2.0-0:i386
  libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386
  libcairo-gobject2:i386 libcairo2:i386 libcolord1:i386 libcups2:i386
  libcurl3:i386 libdatrie1:i386 libdbus-glib-1-2:i386 libdbusmenu-glib4:i386
  libdbusmenu-gtk3-4:i386 libdbusmenu-gtk4:i386 libexpat1:i386 libffi6:i386
  libfontconfig1:i386 libfreetype6:i386 libgconf-2-4:i386 libgcrypt11:i386
  libgdk-pixbuf2.0-0:i386 libglib2.0-0:i386 libgnutls26:i386
  libgpg-error0:i386 libgraphite2-3:i386 libgssapi-krb5-2:i386
  libgssapi3-heimdal:i386 libgtk-3-0:i386 libgtk2.0-0:i386 libharfbuzz0b:i386
  libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386
  libhx509-5-heimdal:i386 libidn11:i386 libjasper1:i386 libjbig0:i386
  libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386 libkeyutils1:i386
  libkrb5-26-heimdal:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386
  libldap-2.4-2:i386 libmbim-glib0 libnspr4:i386 libnss3:i386 libp11-kit0:i386
  libpango-1.0-0:i386 libpango1.0-0:i386 libpangocairo-1.0-0:i386
  libpangoft2-1.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386
  libpixman-1-0:i386 libqmi-glib0 libroken18-heimdal:i386 librtmp0:i386
  libsasl2-2:i386 libsasl2-modules:i386 libsasl2-modules-db:i386
  libsqlite3-0:i386 libssl1.0.0:i386 libstdc++6:i386 libtasn1-6:i386
  libthai0:i386 libtiff5:i386 libwayland-client0:i386 libwayland-cursor0:i386
  libwind0-heimdal:i386 libx11-6:i386 libxau6:i386 libxcb-render0:i386
  libxcb-shm0:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386
  libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxft2:i386
  libxi6:i386 libxinerama1:i386 libxkbcommon0:i386 libxrandr2:i386
  libxrender1:i386 libxss1:i386 libxtst6:i386 usb-modeswitch
  usb-modeswitch-data
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libappindicator1 libglade2-0 libindicator7
Suggested packages:
  python-gtk2-doc
The following packages will be REMOVED:
  google-chrome-stable:i386 libappindicator1:i386 libindicator7:i386
The following NEW packages will be installed:
  libappindicator1 libglade2-0 libindicator7 python-appindicator python-glade2
0 upgraded, 5 newly installed, 3 to remove and 3 not upgraded.
1 not fully installed or removed.
Need to get 53.4 kB/101 kB of archives.
After this operation, 185 MB disk space will be freed.
Do you want to continue? [Y/n] Y
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty/main libglade2-0 AMD64 1:2.6.4-2 [44.6 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-glade2 AMD64 2.24.0-3ubuntu3 [8,744 B]
Fetched 53.4 kB in 0s (159 kB/s)         
(Reading database ... 170838 files and directories currently installed.)
Removing google-chrome-stable (46.0.2490.71-1) ...
xdg-icon-resource: size argument must be numeric
Try 'xdg-icon-resource --help' for more information.
dpkg: error processing package google-chrome-stable (--remove):
 subprocess installed pre-removal script returned error exit status 1
xdg-icon-resource: size argument must be numeric
Try 'xdg-icon-resource --help' for more information.
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Removing libappindicator1 (12.10.1+13.10.20130920-0ubuntu4.1) ...
Removing libindicator7 (12.10.2+14.04.20141007.1-0ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ich muss Pakete ohne Probleme herunterladen können. Kann mir jemand weiterhelfen?

EDIT: Beim Versuch, die Software zu aktualisieren, wurde außerdem die folgende Meldung angezeigt:

**THE PACKAGE SYSTEM IS BROKEN.** 
Check if you are using third party repositories. If so disable them, since they are a common source of problems.
Furthermore run the following command in a Terminal: apt-get install -f

Aber wenn ich apt-get install -f starte, erhalte ich die folgende Ausgabe:

Errors were encountered while processing:
 google-chrome-stable
E: Sub-process /usr/bin/dpkg returned an error code (1)

Antwort von Sudo apt-get install -f:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libatk-bridge2.0-0:i386 libatspi2.0-0:i386 libcairo-gobject2:i386
  libcolord1:i386 libdbusmenu-gtk3-4:i386 libgtk-3-0:i386 liblcms2-2:i386
  libmbim-glib0 libqmi-glib0 libwayland-client0:i386 libwayland-cursor0:i386
  libxkbcommon0:i386 usb-modeswitch usb-modeswitch-data
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up google-chrome-stable (46.0.2490.71-1) ...
xdg-icon-resource: size argument must be numeric
Try 'xdg-icon-resource --help' for more information.
dpkg: error processing package google-chrome-stable (--configure):
 subprocess installed post-installation script returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)

Die Antwort auf Sudo apt-get update war sehr lang, deshalb habe ich sie auf die Fehlermeldung gekürzt:

W: Failed to fetch http://ppa.launchpad.net/fabricesp/ppa/ubuntu/dists/trusty/main/binary-AMD64/Packages  404  Not Found
W: Failed to fetch http://ppa.launchpad.net/fabricesp/ppa/ubuntu/dists/trusty/main/binary-i386/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

Fehler bei install-f:

After this operation, 0 B of additional disk space will be used.
Setting up google-chrome-stable (46.0.2490.71-1) ...
xdg-icon-resource: size argument must be numeric
Try 'xdg-icon-resource --help' for more information.
dpkg: error processing package google-chrome-stable (--configure):
 subprocess installed post-installation script returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)

Und Fehler beim dist-upgrade:

After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up google-chrome-stable (46.0.2490.71-1) ...
xdg-icon-resource: size argument must be numeric
Try 'xdg-icon-resource --help' for more information.
dpkg: error processing package google-chrome-stable (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 google-chrome-stable
E: Sub-process /usr/bin/dpkg returned an error code (1)

Fehler für Sudo dpkg --purge --force-all google-chrome-stable

Removing google-chrome-stable (46.0.2490.71-1) ...
xdg-icon-resource: size argument must be numeric
Try 'xdg-icon-resource --help' for more information.
dpkg: error processing package google-chrome-stable (--purge):
 subprocess installed pre-removal script returned error exit status 1
xdg-icon-resource: size argument must be numeric
Try 'xdg-icon-resource --help' for more information.
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 google-chrome-stable

Als Antwort auf die Vorschläge von A.B, nachdem ich Sudo rm /var/lib/dpkg/info/google-chrome-stable*.prerm ausgeführt habe, habe ich Sudo apt-get install -f ausgeführt und die gleiche Antwort erhalten, die ich erhalten habe:

 Paketlisten lesen ... Fertig 
 Abhängigkeitsbaum erstellen 
 Statusinformationen lesen ... Fertig 
 Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt: 
 libatk-bridge2.0-0: i386 libatspi2.0-0: i386 libcairo-gobject2: i386 
 libcolord1: i386 libdbusmenu-gtk3-4: i386 libgtk-3-0: i386 liblcms2-2 : i386 
 libmbim-glib0 libqmi-glib0 libwayland-client0: i386 libwayland-cursor0: i386 
 libxkbcommon0: i386 usb-modeswitch usb-modeswitch-data 
 Verwenden Sie 'apt-get autoremove 'um sie zu entfernen. 
 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert. 
 1 nicht vollständig installiert oder entfernt. 
 Nach diesem Vorgang werden 0 B zusätzliche Speicherplatz wird verwendet. 
 Einrichten von google-chrome-stable (46.0.2490.71-1) ... 
 xdg-icon-resource: Größenargument muss numerisch sein 
 Try 'xdg-icon-resource --help' für weitere Informationen. 
 dpkg: Fehler beim Verarbeiten des Pakets google-chrome-stable (--configure): 
 sub Das nach der Installation installierte Prozessskript hat den Fehlerbeendigungsstatus 1 zurückgegeben. 
 E: Der Unterprozess/usr/bin/dpkg hat einen Fehlercode (1) zurückgegeben. 
37
segue_segway

Ihre Quelldatei ist anscheinend beschädigt und es gibt fehlerhafte Pakete. Entfernen Sie die beschädigte Quelldatei, indem Sie auf drücken Ctrl + Alt + T Um ein Terminal zu öffnen, geben Sie Folgendes ein:

Sudo rm /etc/apt/sources.list

Dann tippe ein

Sudo software-properties-gtk

Dies öffnet software-properties-gtk und es wird automatisch ein neuer sources.list erstellt.

Ändern Sie dann den Server in US oder einen anderen Server Ihrer Wahl. Sie müssen Repositorys im neuen Dialogfeld aktivieren, um eine neue sources.list zu erstellen.

Kreuzen Sie alle Kästchen an, klicken Sie auf Zurück und dann auf Schließen.

enter image description here

Wie stelle ich die Standard-Repositorys wieder her?

Schritt 2 Öffnen Sie ein Terminal und geben Sie ein

Sudo apt-get remove --purge google-chrome-stable

Dann renne

Sudo apt-get update && Sudo apt-get dist-upgrade -y

Dann installieren Sie Chrome.

Bearbeiten

Ich bin mit Sunny in einen Chat gegangen, um ihm zu helfen, das Problem zu beheben und /var/lib/dpkg/alternatives/google-chrome durch Ausführen zu löschen

 Sudo rm /var/lib/dpkg/alternatives/google-chrome

und läuft

 Sudo apt-get update && Sudo apt-get dist-upgrade -y

hat das Problem behoben und Sunny hat mitgeteilt, dass die Fehler nicht mehr auftreten.

23
Neil

Nun, nachdem ich nach Erweiterungen gesucht und Dinge gefunden hatte, die ich bereits ausprobiert hatte, ging ich zu den Skripten phpmyadmin.prerm, phpmyadmin.postrm usw. und löschte sie manuell.

cd /var/lib/dpkg/info/

ls -l phpmyadmin.*
-rw-r--r-- 1 root root 165 2008-03-05 21:42 phpmyadmin.conffiles
-rwxr-xr-x 1 root root 287 2008-03-05 21:42 phpmyadmin.config
-rw-r--r-- 1 root root 33524 2008-08-06 11:31 phpmyadmin.list
-rw-r--r-- 1 root root 51996 2008-03-05 21:42 phpmyadmin.md5sums
-rwxr-xr-x 1 root root 3286 2008-03-05 21:42 phpmyadmin.postinst
-rwxr-xr-x 1 root root 1762 2008-03-05 21:42 phpmyadmin.postrm
-rwxr-xr-x 1 root root 1762 2008-08-06 09:12 phpmyadmin.postrm.orig
-rwxr-xr-x 1 root root 339 2008-03-05 21:42 phpmyadmin.preinst
-rw-r--r-- 1 root root 22441 2008-03-05 21:42 phpmyadmin.templates

dann habe ich diese Dateien gelöscht

Sudo rm -r phpmyadmin.*

dann rannte ich

Sudo apt-get clean
Sudo apt-get update

Ich wollte sehen, ob das Paket noch da war, also rannte ich los

Sudo apt-get entfernen phpmyadmin

Ich erhielt die Antwort, dass das Paket nicht installiert wurde und daher nicht entfernt werden konnte.

SCHLIESSLICH!

Also rannte ich einfach davon

Sudo apt-get install phpmyadmin

Ich hoffe, dass dies jemandem hilft, da ich in Ubuntu-Foren nach vielen Antworten suche.

9
Hiren Raiyani

Befolgen Sie die folgenden Befehle, um den E: Sub-Prozess loszuwerden./Usr/bin/dpkg hat einen Fehlercode zurückgegeben. (1)

schritt 1:

Sudo apt --purge remove unattended-upgrades

Hier ist unbeaufsichtigt-Upgrades "Fehler bei der Verarbeitung des Paketnamens". Sie können es durch den Namen Ihres fehlerhaften Verarbeitungspakets ersetzen.

schritt 2:

Sudo apt-get autoremove

schritt 3:

Sudo apt-get update
7

Das Entfernen von Chrome schlägt fehl, da ein Problem mit dem Skript zur Vorentfernung vorliegt. Entfernen Sie das Skript über

Sudo rm /var/lib/dpkg/info/google-chrome-stable*.prerm
Sudo rm /var/lib/dpkg/info/google-chrome-stable*.postinst

und starten Sie die Entfernung erneut über

Sudo apt-get purge google-chrome-stable
Sudo apt-get install -f

Zum besseren Verständnis lies meine Antwort hier .


Und das zweite Problem, das PPA ppa: fabricesp/ppa hat keine Pakete für Trusty. Verwenden Sie daher

Sudo add-apt-repository --r ppa:fabricesp/ppa

um die PPA zu entfernen. ppa-purge funktioniert in diesem Fall nicht.

1
A.B.

Versuchen Sie, die folgenden Befehle auf dem Terminal auszuführen:

Sudo apt-get --purge remove google-chrome-stable
Sudo apt-get -f install
Sudo apt-get update

Hoffe, dies wird Ihr Problem lösen.

0
sup

Versuchen Sie, die Paketdatenbank neu zu konfigurieren. Wahrscheinlich wurde die Datenbank während der Installation eines Pakets beschädigt. Sudo dpkg --configure -a

0
Aditya Pawaskar